use diesel::prelude::*;
use serde::{Deserialize, Serialize};

use crate::db::schema::*;

#[derive(Serialize, Deserialize, Clone, Queryable, Selectable)]
#[diesel(table_name = device_subscriptions)]
#[diesel(check_for_backend(diesel::sqlite::Sqlite))]
pub struct DeviceSubscription {
    pub id: i64,
    pub device_id: i64,
    pub podcast_url: String,
    pub time_changed: i64,
    pub deleted: bool,
}

#[derive(Deserialize, Insertable)]
#[diesel(table_name = device_subscriptions)]
#[diesel(check_for_backend(diesel::sqlite::Sqlite))]
pub struct NewDeviceSubscription {
    pub device_id: i64,
    pub podcast_url: String,
    pub time_changed: i64,
    pub deleted: bool,
}
