// @generated automatically by Diesel CLI.

diesel::table! {
    device_subscriptions (id) {
        id -> BigInt,
        device_id -> BigInt,
        podcast_url -> Text,
        time_changed -> BigInt,
        deleted -> Bool,
    }
}

diesel::table! {
    devices (id) {
        id -> BigInt,
        device_id -> Text,
        user_id -> BigInt,
        caption -> Text,
        #[sql_name = "type"]
        type_ -> Text,
    }
}

diesel::table! {
    episode_actions (id) {
        id -> BigInt,
        user_id -> BigInt,
        device_id -> Nullable<BigInt>,
        podcast_url -> Text,
        episode_url -> Text,
        time_changed -> BigInt,
        timestamp -> Nullable<BigInt>,
        action -> Text,
        started -> Nullable<Integer>,
        position -> Nullable<Integer>,
        total -> Nullable<Integer>,
    }
}

diesel::table! {
    sessions (id) {
        id -> BigInt,
        user_id -> BigInt,
        last_seen -> BigInt,
    }
}

diesel::table! {
    users (id) {
        id -> BigInt,
        username -> Text,
        password_hash -> Text,
    }
}

diesel::joinable!(device_subscriptions -> devices (device_id));
diesel::joinable!(devices -> users (user_id));
diesel::joinable!(episode_actions -> devices (device_id));
diesel::joinable!(episode_actions -> users (user_id));
diesel::joinable!(sessions -> users (user_id));

diesel::allow_tables_to_appear_in_same_query!(
    device_subscriptions,
    devices,
    episode_actions,
    sessions,
    users,
);
